Bug 73149 - Add Excel 2010 functions ERF.PRECISE, ERFC.PRECISE
Summary: Add Excel 2010 functions ERF.PRECISE, ERFC.PRECISE
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Winfried Donkers
QA Contact:
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: 70798
  Show dependency treegraph
 
Reported: 2013-12-30 12:55 UTC by Winfried Donkers
Modified: 2014-04-28 12:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers 2013-12-30 12:55:56 UTC
See meta bug 70798 for details.
Comment 1 Commit Notification 2014-04-11 13:43:47 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56deaabb32346e0cc9c6946d7d53ba251f4450b2

fdo#73149 add Excel 2010 functions ERF.PRECISE and ERFC.PRECISE



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 GerardF 2014-04-28 07:28:48 UTC
Opening https://bugs.freedesktop.org/attachment.cgi?id=96899 from metabug 70798, functions ERF.PRECISE and ERFC.PRECISE show #NAME!
Deleting _xlfn_ in the formula =_xlfn.erf.precise(F4) make it working.
I think these functions are working in .ods but not correctly imported from .xlsx

My version is a bit old but after youy commit.

Version: 4.3.0.0.alpha0+
Build ID: 73ecb924379b8e665ee94235a353403c5d29eae6
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-13_14:09:42
Comment 3 Eike Rathke 2014-04-28 08:17:49 UTC
Makes me wonder.. the attached file mentioned was not saved by Excel and contains _xlfn.erf.precise and _xlfn.erfc.precise function names, whereas the one saved by Excel contains  _xlfn.ERF.PRECISE and _xlfn.ERFC.PRECISE
Comment 4 Winfried Donkers 2014-04-28 08:35:56 UTC
(In reply to comment #2)

Hi Gerard,

Thank you for your feedback.
The fact that ERF.PRECISE() is calculated means that the function is implemented.
However, the test file, generated by Excel, does contain the prefix _xlfn for both ERF.PRECISE and ERFC.PRECISE. Also, this test file is used for unit testing when building with make check.

The attachment that you downloaded was a document created by Calc with non-completed ERF.PRECISE/ERFC.PRECISE implementation and solely meant to be edited with Excel so that it could be used as unit test document. I just made  attachment https://bugs.freedesktop.org/attachment.cgi?id=96899 obsolete to avoid further confusion.

Attachment https://bugs.freedesktop.org/attachment.cgi?id=88896 from metabug 70798 was created with Excel and contains ERF.PRECISE and ERFC.PRECISE. These are read correctly with Calc (with commit 56deaabb32346e0cc9c6946d7d53ba251f4450b2).
You could check that file too.

I'm fairly confident that you can set the status back to fixed/resolved. If not, I will dig into the problem if you can provide me with data where ERF.PRECISE/ERFC.PRECISE do not behave as expected.
Comment 5 Winfried Donkers 2014-04-28 08:36:52 UTC
(In reply to comment #3)
Hi Eike,

I think in this case you can stop wondering ;-)
Comment 6 GerardF 2014-04-28 12:38:22 UTC
Sorry for reopening undeservedly. :(

That's OK with  https://bugs.freedesktop.org/attachment.cgi?id=88896